Bug 382921 - plugins traceback and fail to initialise
plugins traceback and fail to initialise
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 12:26 EST by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.11.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:46:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2007-11-14 12:26:38 EST
starting up rb gets me 3 popup dialogs about various plugins failing to init.
Running it from the console gets me this spew..

$ rhythmbox
ImportError: could not import gst
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/magnatune/__init__.py", line 32, in <module>
    from MagnatuneSource import MagnatuneSource
  File "/usr/lib64/rhythmbox/plugins/magnatune/MagnatuneSource.py", line 48, in
<module>
    class MagnatuneSource(rb.BrowserSource):
AttributeError: 'module' object has no attribute 'BrowserSource'

(rhythmbox:29188): Rhythmbox-WARNING **: Could not load plugin magnatune


(rhythmbox:29188): Rhythmbox-WARNING **: Error, impossible to activate plugin
'Magnatune Store'
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/jamendo/__init__.py", line 28, in <module>
    from JamendoSource import JamendoSource
  File "/usr/lib64/rhythmbox/plugins/jamendo/JamendoSource.py", line 45, in <module>
    class JamendoSource(rb.BrowserSource):
AttributeError: 'module' object has no attribute 'BrowserSource'

(rhythmbox:29188): Rhythmbox-WARNING **: Could not load plugin jamendo


(rhythmbox:29188): Rhythmbox-WARNING **: Error, impossible to activate plugin
'Jamendo'
Traceback (most recent call last):
  File "/usr/lib64/rhythmbox/plugins/artdisplay/__init__.py", line 315, in <module>
    class ArtDisplayPlugin (rb.Plugin):
AttributeError: 'module' object has no attribute 'Plugin'

(rhythmbox:29188): Rhythmbox-WARNING **: Could not load plugin artdisplay


(rhythmbox:29188): Rhythmbox-WARNING **: Error, impossible to activate plugin
'Cover art'
Comment 1 Bastien Nocera 2007-11-14 12:40:58 EST
Could you please state the version number in your bug reports in the future?
(I'm guessing 0.11.3 from updates-testing, given the error)
Can you check whether installing gstreamer-python fixes the problem?
Comment 2 Fedora Update System 2007-11-14 22:30:55 EST
rhythmbox-0.11.3-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rhythmbox'
Comment 3 Dave Jones 2007-11-16 19:50:55 EST
works great for me.
Comment 4 Fedora Update System 2007-11-17 00:38:05 EST
rhythmbox-0.11.3-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rhythmbox'
Comment 5 Fedora Update System 2007-11-20 12:46:00 EST
rhythmbox-0.11.3-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Nicole Dai 2008-01-15 21:36:53 EST
Verified the error occurred in launch was not found in rhythmbox-0.11.2-10.fc8
and rhythmbox-0.11.3-6.fc8

Note You need to log in before you can comment on or make changes to this bug.